﻿/* ==================== */
/* 共通設定 */
* {
    /* 初期化 */
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /*outline: 1px solid rgba(255, 0, 0, 0.2);*/
}

html {
    scroll-behavior: smooth;
}

/* ==================== */
/* 共通部品 */

header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    display: flex;
    padding: 0 8px;
    width: 100%;
    height: 40px;
    align-items: center;
    justify-content: right;
    background-color: rgba(0, 0, 0, 0.8);
    backdrop-filter: blur(4px);
    color: rgb(230, 230, 230);
    z-index: 1000;
}

header ul {
    display: flex;
    gap: 8px;
    width: 100%;
    height: 100%;
}

header ul li {
    display: inline-block;
    height: 100%;
}

header ul li a {
    display: inline-block;
    padding: 8px 0;
    height: 100%;
    color:  rgb(230, 230, 230);
}

header ul li a:hover {
    background-color: rgb(20, 20, 20);
}

@media screen and (max-width: 768px) {
    header {
        font-size: 0.5em;
    }
    header nav {
        width: 100%;
    }
    header nav ul {
        display: flex;
    }
    header nav ul li {
        flex: 1;
        text-align: center;
    }
    header nav ul li a {
        display: block;
        width: 100%;
    }
}

footer {
    padding: 16px 20px;
    background-color: rgb(20, 20, 20);
    color: rgb(230, 230, 230);
    text-align: center;
}

section:first-child {
    background: url('../img/image_top.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-clip: border-box;
    margin-top: 0;
    width: auto;
    height: 100vh;
}

section {
    display: block;
    width: 100%;
}

section h2 {
    display: block;
    margin: auto;
    margin-bottom: 20px;
    padding-top: 100px;
    width: fit-content;
    border-bottom: 1px solid rgb(0, 0, 0);
}

section h3 {
    text-align: left;
    padding-left: 4px;
    border-left: 8px solid rgb(0, 0, 0);
    border-bottom: 1px solid rgb(0, 0, 0);
    font-size: 1.5em;
}

/* 分割エリア用 */
.div_flex {
    display: flex;
    flex-wrap: wrap;
    flex-grow: 1;
    flex-shrink: 1;
    flex-basis: 0;
    gap: 48px 16px;
}

/* 分割エリア用 */
.div_grid {
    display: grid;
    flex: 1;
    align-content: flex-start;
}

/* ==================== */

a.btn {
    transition-duration: 100ms;
    display: block;
    padding: 8px 16px;
    background-color: rgb(93, 161, 228);
    color: rgb(250, 250, 250);
    text-align: center;
}

a.btn:hover {
    transition-duration: 100ms;
    background-color: rgb(75, 142, 209);
    color: rgb(250, 250, 250);
}

section ul {
    list-style: none;
    text-align: left;
}

section ul li::before {
    content: "・";
    padding-right: 4px;
}